This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 87727 - Please create a symlink to the initrd image
Please create a symlink to the initrd image
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-01 15:17 EST by H. Peter Anvin
Modified: 2007-04-18 12:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2003-04-01 15:17:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
The RedHat-generated boot loader installation is frequently not suitable.  The
reliance on "grubby" to generate boot loader configs from templates has been at
least for me extremely error-prone, often resulting in unusable configurations,
which is why I refuse to use it.

Not using this configuration system is complicated by two things, which should
be easy to fix:

a) When the RedHat kernel RPMs are installed, they create symlinks to every
component (vmlinuz, System.map, module-info) *except* config and initrd.img.  In
particular initrd.img, which is used by the boot loader, is a problem in this
sense.  Please create these remaining symlinks.

b) It would be even nicer if the kernel rpm would invoke /boot/Makefile as part
of its postinstall script, if such a script exists.  For all I know, it might
already be doing this...


Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. Create a custom boot loader config;
2. Upgrade kernel via RPM
3. Try to boot

Actual Results:  Boot failure due to missing initrd

Expected Results:  Proper boot

Additional info:
Comment 1 David Mark North 2003-12-09 12:52:44 EST
I was just about to submit this same bug, but for perhaps a different
reason. For those folks who already have grub installed (other systems
running on the same machine) the logical approach is to boot into
another system and make the missing symlink in the first place. Though
that works fine, when an update happens and no subsequent symlink is
make to the new initrd, booting fails. The fix is obvious so there's
no disaster, but on the other hand it seems as if using this symlink
in the first place would avoid much grief, particularly for those who
don't know what's going on.

This still applies to Fedora Core 1, where I intended to submit this bug.
Comment 2 Bugzilla owner 2004-09-30 11:40:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.